package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesPartInspectionInputModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesPartInspectionViewModel;
import cn.estsh.i3plus.pojo.mes.bean.MesPartTypeDefect;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspectionDetail;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:37
 * @Modify:
 **/
public interface IMesInputDefectRecordService {


    @ApiOperation(value = "扫描产品条码")
    public MesPartInspectionViewModel queryPartInspection(MesPartInspectionInputModel model, String org);

//    @ApiOperation(value = "批次录入")
//    public MesPartInspectionViewModel queryPartAndLot(String partNo, String lot, Integer frontBack, Integer qty, String org);

    @ApiOperation(value = "零件类型缺陷类型对应关系信息")
    public List<MesPartTypeDefect> queryPartTypeDefect(String serialNumber, String defectLocation, boolean flg, Integer frontBack, String org);

    @ApiOperation(value = "零件类型缺陷类型对应关系信息")
    public void savePartInspection(MesPartInspectionInputModel model, String org);


}
